> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sociavault.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Search YouTube and get matching videos, channels, playlists, shorts, lives, etc.

<Note>
  💳 **1 credit** per request
</Note>


## OpenAPI

````yaml GET /v1/scrape/youtube/search
openapi: 3.1.0
info:
  title: SociaVault API
  version: 1.0.0
  description: >-
    # SociaVault API Documentation


    The SociaVault API provides comprehensive access to social media data
    extraction across multiple platforms.


    ## Features


    - **Multi-Platform Support**: TikTok, Instagram, YouTube, Facebook, Twitter,
    Reddit, Threads, and more

    - **Credit-Based System**: Pay-as-you-go pricing with transparent credit
    costs

    - **High Performance**: Fast, reliable data extraction

    - **Comprehensive Data**: Detailed user profiles, videos, posts, comments,
    and analytics


    ## Authentication


    All API requests require authentication using an API key in the `X-API-Key`
    header:


    ```bash

    X-API-Key: sk_live_your_api_key_here

    ```


    Get your API key from the [SociaVault
    Dashboard](https://sociavault.com/dashboard).


    ## Credits


    Each endpoint consumes credits based on data complexity:

    - Simple requests (profiles): 1 credit

    - Complex requests (demographics): 20+ credits

    - Paginated requests: Credits per page


    Check your credit balance in the dashboard or via the API.


    ## Support


    - **Documentation**: https://docs.sociavault.com

    - **Email**: support@sociavault.com

    - **Discord**: https://discord.gg/sociavault
  contact:
    name: SociaVault Support
    email: support@sociavault.com
    url: https://sociavault.com/support
  license:
    name: Commercial
    url: https://sociavault.com/terms
servers:
  - url: https://api.sociavault.com
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: account
    description: Account management and credit balance
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/account
  - name: tiktok
    description: Scrape TikTok profiles, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok
  - name: tiktok-shop
    description: Everything about TikTok Shop
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok-shop
  - name: instagram
    description: Gets Instagram profiles, posts, and reels
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/instagram
  - name: youtube
    description: Scrape YouTube channels, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/youtube
  - name: linkedin
    description: Scrape LinkedIn
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedin
  - name: facebook
    description: Get public Facebook profiles and posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebook
  - name: facebookAdLibrary
    description: Scrapes the Facebook (Meta) Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookAdLibrary
  - name: facebookMarketplace
    description: Search Facebook Marketplace and pull full listing details
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookMarketplace
  - name: googleAdLibrary
    description: >-
      Scrape the Google Ad Transparency Library. *This only gets the public ads.
      Some ads you need to log in for and sadly we can't get those. Also, since
      there are so many variations, the return types might not all be 100% the
      same.
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/googleAdLibrary
  - name: linkedinAdLibrary
    description: Search the LinkedIn Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedinAdLibrary
  - name: twitter
    description: Get Twitter profiles, tweets, followers and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/twitter
  - name: reddit
    description: Scrape Reddit posts and comments
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/reddit
  - name: threads
    description: Get Threads posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/threads
  - name: google
    description: Scrape Google search results
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/google
paths:
  /v1/scrape/youtube/search:
    get:
      tags:
        - youtube
      summary: Search
      description: >-
        Search YouTube and get matching videos, channels, playlists, shorts,
        lives, etc.
      operationId: youtube_Search
      parameters:
        - name: query
          in: query
          description: Search query
          required: true
          schema:
            type: string
        - name: uploadDate
          in: query
          description: Upload date
          required: false
          schema:
            type: string
            enum:
              - today
              - this_week
              - this_month
              - this_year
        - name: sortBy
          in: query
          description: Sort by
          required: false
          schema:
            type: string
            enum:
              - relevance
              - popular
            example: relevance
        - name: filter
          in: query
          description: >-
            Filter by these options. Note this doesn't work when you use either
            'uploadDate' or 'sortBy'. It basically only works when you have a
            query.
          required: false
          schema:
            type: string
            enum:
              - all
              - shorts
            example: all
        - name: continuationToken
          in: query
          description: >-
            Continuation token to get more videos. Get 'continuationToken' from
            previous response.
          required: false
          schema:
            type: string
            example: 4qmFsgKrCBIYVUNkRkpXVWE0M3NtUm00SXBIQnB
        - name: region
          in: query
          description: 2 letter country code of the country to put the proxy in.
          required: false
          schema:
            type: string
            example: US
      responses:
        '200':
          description: >-
            Successful response


            **Key Response Fields:**

            - `data.videos[0].id`: Video ID

            - `data.videos[0].url`: Full YouTube video URL

            - `data.videos[0].title`: Video title

            - `data.videos[0].channel.id`: Channel ID of the uploader

            - `data.videos[0].channel.title`: Channel display name

            - `data.videos[0].viewCountInt`: View count as integer

            - `data.videos[0].publishedTime`: ISO timestamp of publication

            - `data.videos[0].lengthSeconds`: Duration in seconds

            - `data.shorts[0]`: Short-format videos matching the query (same
            structure as videos)

            - `data.lives[0]`: Active or recent live streams matching the query

            - `data.continuationToken`: Pagination cursor — pass as
            `continuationToken` to get the next page
          content:
            application/json:
              example:
                success: true
                data:
                  success: true
                  videos:
                    '0':
                      type: video
                      id: HJr2BqCcz8g
                      url: https://www.youtube.com/watch?v=HJr2BqCcz8g
                      title: Seahawks, Patriots set to face off in Super Bowl LX
                      thumbnail: >-
                        https://i.ytimg.com/vi/HJr2BqCcz8g/hq720.jpg?sqp=-oaymwEnCNAFEJQDSFryq4qpAxkIARUAAIhCGAHYAQHiAQoIGBACGAY4AUAB&rs=AOn4CLAtMHHOTooONNH4jsuTuenVyKJSTg
                      channel:
                        id: UCJg9wBPyKMNA5sRDnvzmkdg
                        title: LiveNOW from FOX
                        handle: livenowfox
                        thumbnail: >-
                          https://yt3.ggpht.com/AqzY5ePezRAQ2136-TbM_88d43JfIovkzztge92WKQ4K_ISfJMFA9yuX0Nw87DLWms4W9r2c3Q=s68-c-k-c0x00ffffff-no-rj
                      viewCountText: 14,702 views
                      viewCountInt: 14702
                      publishedTimeText: 7 hours ago
                      publishedTime: '2026-02-08T23:02:20.901Z'
                      lengthText: '7:07'
                      lengthSeconds: 427
                      badges:
                        '0': New
                  channels: {}
                  playlists: {}
                  shorts:
                    '0':
                      type: short
                      id: UhPc_k8DThI
                      url: https://www.youtube.com/watch?v=UhPc_k8DThI
                      title: >-
                        Referee Caught in an Unexpected Scene #football #funny
                        #shorts
                      viewCountText: 7.1K
                      viewCountInt: 7100
                  shelves: {}
                  lives:
                    '0':
                      type: live
                      id: 4zBWoIBBRGw
                      url: https://www.youtube.com/watch?v=4zBWoIBBRGw
                      title: >-
                        Super Bowl 2026 LIVE | Seattle Seahawks vs New England
                        Patriots | Bad Bunny | Football | US News
                      thumbnail: >-
                        https://i.ytimg.com/vi/4zBWoIBBRGw/hq720.jpg?v=6988822c&sqp=-oaymwEnCNAFEJQDSFryq4qpAxkIARUAAIhCGAHYAQHiAQoIGBACGAY4AUAB&rs=AOn4CLDtn1fVYUTxe7X6FjAyLhmFwZjP9g
                      channel:
                        id: UC3prwMn9aU2z5Y158ZdGyyA
                        title: CRUX
                        handle: CRUXnews
                        thumbnail: >-
                          https://yt3.ggpht.com/ytc/AIdro_lvuTdsdT3Di7NszY9LTOcCmUVVG8nRnPAZpe_a7Y7MR6k=s68-c-k-c0x00ffffff-no-rj
                      viewCountText: 2,654 watching
                      viewCountInt: 2654
                      publishedTimeText: ''
                      publishedTime: null
                      lengthText: ''
                      lengthSeconds: null
                      badges:
                        '0': LIVE
                        '1': New
                    '1':
                      type: live
                      id: cicv_rduhNw
                      url: https://www.youtube.com/watch?v=cicv_rduhNw
                      title: Super Bowl LX Game Picks & Preview!
                      thumbnail: >-
                        https://i.ytimg.com/vi/cicv_rduhNw/hq720.jpg?sqp=-oaymwEnCNAFEJQDSFryq4qpAxkIARUAAIhCGAHYAQHiAQoIGBACGAY4AUAB&rs=AOn4CLA-cJLvixHsz7iiu5g4nwfOwf73yA
                      channel:
                        id: UCDVYQ4Zhbm3S2dlz7P1GBDg
                        title: NFL
                        handle: NFL
                        thumbnail: >-
                          https://yt3.ggpht.com/mTNz2WARw0gLIz_BM5cuB6oRAQCTapuIwiiAAHd-IeWMCfE_zNcRVOXt4N6c4YxJbQ_kibWOFg=s68-c-k-c0x00ffffff-no-rj
                      viewCountText: 234,305 views
                      viewCountInt: 234305
                      publishedTimeText: Streamed 30 minutes ago
                      publishedTime: '2026-02-08T23:02:20.902Z'
                      lengthText: '1:01:45'
                      lengthSeconds: 3705
                      badges:
                        '0': New
                    '2':
                      type: live
                      id: VGwIz9lmq7M
                      url: https://www.youtube.com/watch?v=VGwIz9lmq7M
                      title: >-
                        Team Druski vs. Team J Balvin: YouTube SBLX Flag
                        Football Game
                      thumbnail: >-
                        https://i.ytimg.com/vi/VGwIz9lmq7M/hq720.jpg?sqp=-oaymwEnCNAFEJQDSFryq4qpAxkIARUAAIhCGAHYAQHiAQoIGBACGAY4AUAB&rs=AOn4CLCs186z8dTqswXtu1BpXQPlEfQNcA
                      channel:
                        id: UC4PQqjGczpgmqbpicKjkwvw
                        title: Druski
                        handle: druski
                        thumbnail: >-
                          https://yt3.ggpht.com/A4OzUUsXpdV3KDqjz40moy-I3ygihVq7D69DY2mPsu7dui9bLt-Sy_mW9GMljYSWm5X8Y8FFiA=s68-c-k-c0x00ffffff-no-rj
                      viewCountText: ''
                      viewCountInt: null
                      publishedTimeText: Streamed 18 hours ago
                      publishedTime: '2026-02-08T23:02:20.902Z'
                      lengthText: '1:57:05'
                      lengthSeconds: 7025
                      badges:
                        '0': New
                    '3':
                      type: live
                      id: 2R2-6GsHrmw
                      url: https://www.youtube.com/watch?v=2R2-6GsHrmw
                      title: >-
                        🔴Live : Man City vs Liverpool I English Premier League
                        2026 I Full Streaming I eFootball Pes 21 Game
                      thumbnail: >-
                        https://i.ytimg.com/vi/2R2-6GsHrmw/hq720.jpg?sqp=-oaymwEnCNAFEJQDSFryq4qpAxkIARUAAIhCGAHYAQHiAQoIGBACGAY4AUAB&rs=AOn4CLATC36O5AFyYSczjMIe6ZqNtLqzvw
                      channel:
                        id: UCxeXR8JqzNAOxAfS_ACtFdQ
                        title: Munna
                        handle: MunnaVdo
                        thumbnail: >-
                          https://yt3.ggpht.com/pfvo_0ZdPUjIOSnNhqEIHZq9BfbOtfKc92efUTltDJ1csJjX8J28OYMJ7Px9nPz09N6QmVLh=s68-c-k-c0x00ffffff-no-rj
                      viewCountText: 380,051 views
                      viewCountInt: 380051
                      publishedTimeText: Streamed 4 hours ago
                      publishedTime: '2026-02-08T23:02:20.902Z'
                      lengthText: '9:55'
                      lengthSeconds: 595
                      badges:
                        '0': New
                    '4':
                      type: live
                      id: kIaRERgMqSY
                      url: https://www.youtube.com/watch?v=kIaRERgMqSY
                      title: >-
                        Team J Balvin vs. Team Druski: YouTube SBLX Flag
                        Football Game
                      thumbnail: >-
                        https://i.ytimg.com/vi/kIaRERgMqSY/hq720.jpg?sqp=-oaymwEnCNAFEJQDSFryq4qpAxkIARUAAIhCGAHYAQHiAQoIGBACGAY4AUAB&rs=AOn4CLDbbBf4wUjBoGIPfGmy6_vJYcAliA
                      channel:
                        id: UCBR8-60-B28hp2BmDPdntcQ
                        title: YouTube
                        handle: YouTube
                        thumbnail: >-
                          https://yt3.ggpht.com/3s6evpqAiDU9tQR4sC2siJippbH2RWVPnwHgyl4V0th2iuQz0VDQZbUhQBGmsxLYo-mjG6TqZQ=s68-c-k-c0x00ffffff-no-rj
                      viewCountText: ''
                      viewCountInt: null
                      publishedTimeText: Streamed 18 hours ago
                      publishedTime: '2026-02-08T23:02:20.902Z'
                      lengthText: '1:46:40'
                      lengthSeconds: 6400
                      badges:
                        '0': New
                  continuationToken: >-
                    ErkDEghmb290YmFsbBqsA1NCU0NBUXRJU25JeVFuRkRZM280WjRJQkN6UjZRbGR2U1VKQ1VrZDNnZ0VMWTJsamRsOXlaSFZvVG5lQ0FRdFBWRXR1UjFCUE0wdEdaNElCQzJoa05FTlNUVWQ0TVdKbmdnRUxlbmsxYVRkS1pqVnlVMG1DQVF0V1IzZEplamxzYlhFM1RZSUJDMlY0U1Y5NmRsSlhjbEZ2Z2dFTE1sSXlMVFpIYzBoeWJYZUNBUXRCWVVwblNqZzRRVlZNYTRJQkMwd3haV1F0VTB4RE5tRnJnZ0VMTkV0RVJUZE9UWE5vZGttQ0FRdHJTV0ZTUlZKblRYRlRXWUlCQzBOblEwb3lia0pCUldGVmdnRUxjelZ6U1RCek0xRjJUSGVDQVFzemMzQkVUSFJRYUdWd1JZSUJDMlZVZERsQ1RrZG1iSE5aZ2dFaVVFeG1hV3REU0hSSGFtODBiREpCU21Kd2EyZHJiVVpQZUdkSlVVSmpPVkJ1TW9JQkMySlFhM2QzT1haNk9FdHJnZ0VMVXpod1lsVjZNazl3Y1VXeUFRWUtCQWdhRUFMcUFRUUlBaEFVGIHg6BgiC3NlYXJjaC1mZWVk
                credits_used: 1
                endpoint: youtube/search
        '400':
          description: Bad Request - Invalid parameters or missing required fields
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: 'Missing required parameter: handle'
                  endpoint:
                    type: string
                  credits_required:
                    type: integer
                required:
                  - error
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
                  docs:
                    type: string
                    example: https://docs.sociavault.com/authentication
                required:
                  - error
        '402':
          description: Payment Required - Insufficient credits
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient credits
                  required:
                    type: integer
                    example: 1
                    description: Credits required for this request
                  available:
                    type: integer
                    example: 0
                    description: Credits currently available
                required:
                  - error
                  - required
                  - available
        '500':
          description: Internal Server Error - Service configuration or processing error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Service configuration error
                required:
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`

        Get your API key from the [Dashboard](https://sociavault.com/dashboard).

````